AddressException (JavaMail API documentation)
Date: 2016-12-03

javax.mail.internet

## Class AddressException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.mail.MessagingException
      - - javax.mail.internet.ParseException
        - - javax.mail.internet.AddressException

- All Implemented Interfaces:
    java.io.Serializable

      public class AddressException
      extends ParseException

  The exception thrown when a wrongly formatted address is encountered.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `pos` The index in the string where the error occurred, or -1 if not known.
    `protected java.lang.String` | `ref` The string being parsed.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddressException()` Constructs an AddressException with no detail message.
    `AddressException(java.lang.String s)` Constructs an AddressException with the specified detail message.
    `AddressException(java.lang.String s, java.lang.String ref)` Constructs an AddressException with the specified detail message and reference info.
    `AddressException(java.lang.String s, java.lang.String ref, int pos)` Constructs an AddressException with the specified detail message and reference info.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPos()` Get the position with the reference string where the error was detected (-1 if not relevant).
    `java.lang.String` | `getRef()` Get the string that was being parsed when the error was detected (null if not relevant).
    `java.lang.String` | `toString()` Override toString method to provide information on nested exceptions.

    - ### Methods inherited from class javax.mail.MessagingException

      `getCause, getNextException, setNextException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ref

          protected java.lang.String ref

      The string being parsed.

    - #### pos

          protected int pos

      The index in the string where the error occurred, or -1 if not known.

  - ### Constructor Detail

    - #### AddressException

          public AddressException()

      Constructs an AddressException with no detail message.

    - #### AddressException

          public AddressException(java.lang.String s)

      Constructs an AddressException with the specified detail message.
      Parameters:
        `s` - the detail message

    - #### AddressException

          public AddressException(java.lang.String s,
                          java.lang.String ref)

      Constructs an AddressException with the specified detail message and reference info.
      Parameters:
        `s` - the detail message
        `ref` - the string being parsed

    - #### AddressException

          public AddressException(java.lang.String s,
                          java.lang.String ref,
                          int pos)

      Constructs an AddressException with the specified detail message and reference info.
      Parameters:
        `s` - the detail message
        `ref` - the string being parsed
        `pos` - the position of the error

  - ### Method Detail

    - #### getRef

          public java.lang.String getRef()

      Get the string that was being parsed when the error was detected (null if not relevant).
      Returns:
        the string that was being parsed

    - #### getPos

          public int getPos()

      Get the position with the reference string where the error was detected (-1 if not relevant).
      Returns:
        the position within the string of the error

    - #### toString

          public java.lang.String toString()

      Description copied from class: `MessagingException`
      Override toString method to provide information on nested exceptions.
      Overrides:
        `toString` in class `MessagingException`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms< /a>.